{% extends "base.html" %}

{% block title %}ListPokemons{% endblock %}

<!-- 16 de octubre servidor de estaticos-->
{% load staticfiles %}

{% block content %}


	<script type="text/javascript">

		$(document).ready(function(){

			console.log("Working")

			$.ajax({
				url: "/endpoint-pokemon/",
				method: "GET",
				//data: {"q": query},
				success: function(data){
					//console.log(data)
					$.each(data, function(key, value){
						console.log(key, value.pokemon_name)
						$("#list-pokemons").append("<ul>" + "<li>" + value.pokemon_name + " --- " + value.pokemon_type + ": " + value.trainer.username + "</li>" + "</ul>")
					})
				},
				error: function(data){
					console.log(data)
					console.log(error)
				}
			})
		});

	</script>



<!-- 16 de octubre servidor de estaticos-->
<img width="100" src="{% static 'img/logopython.png' %}"

	<table class="table">
		<th>Pokemon Name</th>
		<th>Pokemon Type</th>
		<th>Trainer</th>
		<th>Image</th>
		<th> |</th>
		<th>Actions</th>
		<th> |</th>
		{% for pokemon in pokemons %}
			<tr>
				<td>{{ pokemon.pokemon_name }}</td>
				<td>{{ pokemon.pokemon_type }}</td>
				<td>{{ pokemon.trainer }}</td>
				<td>{% static 'img/{{pokemon.image}}' %}}</td>
				<td><a href="{% url 'detail' pokemon.id %}"> deatil </a></td>
				<td><a href="{% url 'update' pokemon.id %}">update</a></td>
				<td><a href="{% url 'delete' pokemon.id %}">delete</a></td>
			</tr>
	{% endfor %}
	</table>

	<div id="list-pokemons">

	</div>





{% endblock %}
